% Ask user to define a customized table of Pressure and Boiling Point
% values from pMin to pMax with step dp

%INPUT ARGUMENTS:
% pSeries: the series of pressure values provided by the data.txt file

%OUTPUT ARGUMENTS:
% pMin: user defined minimum table pressure value
% pMax: user defined maximum table pressure value
% dp: user defined step to report from minimum to maximum pressure values

function [pMin pMax dp] = getCustomTableLimits( pSeries )

    minPressure = min(pSeries);
    maxPressure = max(pSeries);               

    while true
        
        disp(' ')
        msg = fprintf('Type the minimum value of pressure interval (from %f to %f bars):', minPressure, maxPressure);
        pMin = input('? ');
        if ( pMin < minPressure ) || (pMin > maxPressure);
            disp('Wrong value');
        else
            break;
        end 
        
    end
    
    while true
        
        disp(' ')
        msg = fprintf('Type the maximum value of pressure interval (from %f to %f bars):', minPressure, maxPressure);
        pMax = input('? ');
        if (pMax < minPressure) || (pMax > maxPressure);
            disp('Wrong value');
        elseif (pMax < pMin)
            disp('Wrong: max value < min value');
        else
            break;
        end 
    end
    
    while true
        disp(' ')
        dp = input('Type the pressure step:');
        
        if ( dp <= (pMax - pMin) ) && ( dp > 0 );
            break;
        end
        
        disp('Wrong value');
    end
end