clear;clc;

disp('---------------------------------------');
disp('This program computes the boiling point');
disp('of the water for a system pressure');
disp('between 1 to 10 bars');
disp('---------------------------------------');

% Load Data
% Load two vectors Pressure and Boiling Point series
[pSeries, bpSeries] = loadData('data.txt');

while (true) % Main loop

    % ask user to make a choice from the menu
    choice = showMenu();
    
    if (choice == 0)    
        % Terminate Program
        break;
        
    elseif (choice==1)
        
        % Ask user to type a desired pressure to calculate the boiling point
        pressure = askUserPressure(pSeries);
                
        % Calculate Boiling Point
        [ boilingPoint, isExperimental ] = calculateBoilingPoint(pressure, pSeries, bpSeries);
        
        % Print Results
        printCalculationResults(pressure, boilingPoint, isExperimental);
        
    elseif (choice==2)
            
        disp('Table of experimental values');
        % Print the table of pressure and boiling point  (experimental values)
        printTable(pSeries, bpSeries);
        
    elseif (choice==3)
        
        % Ask user to define a desired table providing min, max pressure and the appropriate step
        [pMin pMax dp] = getCustomTableLimits( pSeries );
        % Prepare Table
        [tblPressure, tblBoilingPoint] = fixTableData(pSeries, bpSeries, pMin, pMax, dp);        
        % Print table
        printTable(tblPressure, tblBoilingPoint);
        
    end
    
end % End of main loop
 